function userExists() {
	var httpRequest = createXMLHttpRequest();
	var login = $('#login').val();
	var url = 'ControllerServlet?action=UserExists&login=' + login;
	httpRequest.open('GET', url, true);
	httpRequest.onreadystatechange = function() {
		if (this.readyState == 4 && this.status == 200) {
			verifyUserExists(this);
		}
	};
	httpRequest.send(null);
}

function verifyUserExists(httpRequest) {
	var response = httpRequest.responseText;
	if (response.match("true")) {
		$('#userExists').text('This username is already taken');
		$('#submitButton').attr("disabled","true");
	} else {
		$('#userExists').text('');
		$('#submitButton').removeAttr("disabled");
	}
}

function createXMLHttpRequest() {
	try {
		return new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
	}
	try {
		return new ActiveXObject("Microsoft.XMLHTTP");
	} catch (e) {
	}
	try {
		return new XMLHttpRequest();
	} catch (e) {
	}
	alert("XMLHttpRequest not supported");
	return null;
}