<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="stylesheet" type="text/css" href="mystyle.css" />
<title>Login</title>
</head>
<body>

<c:import url="header.jsp" />

<h2>Please enter your login and password</h2>

<f:view>
	<h:form id="mainForm">
		<table>
			<tr>
				<td width="100">Login:</td>
				<td width="100"><h:inputText value="#{LoginBean.login}"
					id="login" size="20" required="true"
					requiredMessage="#{Messages.requiredLogin}"
					validatorMessage="#{Messages.validateLogin}">
					<f:validateLength maximum="20" />
				</h:inputText></td>
				<td><h:message for="login" styleClass="colorRed" /></td>
			</tr>
			<tr>
				<td width="100">Password:</td>
				<td width="100"><h:inputSecret value="#{LoginBean.password}"
					id="password" size="20" required="true"
					requiredMessage="#{Messages.requiredPassword}"
					validatorMessage="#{Messages.validatePassword}">
					<f:validateLength maximum="10" />
				</h:inputSecret></td>
				<td><h:message for="password" styleClass="colorRed" /></td>
			</tr>
		</table>
		<h:commandButton action="#{LoginBean.verify}" value="Login" />
	</h:form>
</f:view>

</body>
</html>