<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
   "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.w3.org/MarkUp/SCHEMA/xhtml11.xsd"
	xmlns:c="http://java.sun.com/jstl/core" xml:lang="en">
<head>
<link rel="stylesheet" type="text/css" href="mystyle.css" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<script type="text/javascript" src="jquery-1.3.2.min.js"></script>
<script type="text/javascript" src="loginVerifier.js"></script>
<title>Register to MusicRepository.com</title>
</head>
<body>
<c:import url="header.jsp" />

<h2>Please fill in your information</h2>
<p><br />
</p>
<form action="ControllerServlet" method="post">
<table>
	<tr>
		<td>Name:</td>
		<td><input type="text" name="name" /></td>
	</tr>
	<tr>
		<td>Login:</td>
		<td><input type="text" id="login" name="login" maxlength="20"
			onkeyup="javascript: userExists();" /></td>
		<td>
		<div id="userExists" class="colorRed"></div>
		</td>
	</tr>
	<tr>
		<td>Password:</td>
		<td><input type="password" name="password" maxlength="10" /></td>
	</tr>
	<tr>
		<td>Email:</td>
		<td><input type="text" name="email" /></td>
	</tr>
	<tr>
		<td width="250">Birthdate: (mm/dd/yyyy)</td>
		<td><input type="text" name="birthdate" /></td>
	</tr>
	<tr height="10">
	</tr>
	<tr>
		<input type="hidden" name="action" value="RegisterUser" />
		<td><input type="submit" value="Register" id="submitButton"
			disabled /></td>
	</tr>
</table>
</form>
</body>
</html>