<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
   "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.w3.org/MarkUp/SCHEMA/xhtml11.xsd"
	xmlns:c="http://java.sun.com/jstl/core" xml:lang="en">
<head>
<link rel="stylesheet" type="text/css" href="mystyle.css" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<jsp:useBean id="dao" class="musicrepos.mvc.model.UserDAO" />

<title>User Profile</title>
</head>
<body>
<c:import url="header.jsp" />

<p><br />
</p>
<table width="100%">
	<tr>
		<td align="left" width="50%">
		<h1>${user.name}</h1>
		<h4>Email: <a href="mailto:${user.email}">${user.email}</a></h4>
		<h4>Birthdate: ${user.birthdate}</h4>

		<!-- If - User visiting his own profile --> <c:if
			test="${sessionUser.id == user.id}">
			<a href="usersList.jsp">List of "MusicRepository" users</a>
		</c:if> <!-- Else - User visiting someone else's profile --> <c:if
			test="${sessionUser.id != user.id}">
			<a href="ControllerServlet?action=AddFriend&id=${user.id}">Add
			this user to your friends list</a>
		</c:if></td>
		<td align="left" width="50%">
		<h3>Friend List</h3>
		<br />
		<c:forEach var="friend" items="${userFriends}">
			<a href="ControllerServlet?action=ShowProfile&id=${friend.id}">
			${friend.name}</a>
			<br />
		</c:forEach></td>
	</tr>
</table>
</body>
</html>
