<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
   "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="http://www.w3.org/MarkUp/SCHEMA/xhtml11.xsd"
       xmlns:c="http://java.sun.com/jstl/core" xml:lang="en">
<jsp:useBean id="dao" class="musicrepos.mvc.model.UserDAO" />

<head>
<link rel="stylesheet" type="text/css" href="mystyle.css" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<title>List of users from MusicRepository</title>

</head>
<body>
<c:import url="header.jsp" />
<c:if test="${empty sessionUser.id}">
	<c:redirect url="expiredSession.jsp" />
</c:if>
<h2>List of "MusicRepository" users</h2>

<hr />
<c:forEach var="user" items="${dao.usersList}">
	Name: ${user.name} <br />
	Email: ${user.email} <br />
	Birthdate: ${user.birthdate} <br /> 
	<a href="ControllerServlet?action=ShowProfile&id=${user.id}"> Show user profile </a>
<br /> <hr /> <br />
</c:forEach>

</body>

</html>